
Nirva Application Platform - Feature #80

Flush logs when server stops

11/16/2012 11:24 AM - Lionel Martin

Status: Resolved Start date: 11/16/2012

Priority: Normal Due date:  

Assignee: Pierre Marc % Done: 100%

Category: Application Platform Estimated time: 4.00 hours

Target version: 4.7.006   

Operating System: Any Tested: Yes

Version: 4.7.005   

Description

When Nirva stops, and if it hangs for any reason (problem on a service, or whatever), the SYSTEM log does not contain the last bit of

information because the logs are not flushed.

Could it be possible to force log flush when Nirva stops, so we are sure we have the latests logs if Nirva hangs or crash ?

I also have another request less important: regarding services, the server logs "Unloading services...", but does not log the trace of

the services unloaded, so we can not know which service hangs if one does. Would it be possible to log additional lines for every

service unloaded like "Unloading service AA...", so we know which service causes the hang ?

Thanks

History

#1 - 02/14/2013 12:05 PM - Pierre Marc

- Category set to Application Platform

- Status changed from New to Resolved

- Assignee set to Pierre Marc

- % Done changed from 0 to 100

- Estimated time set to 4.00

- Tested changed from No to Yes

Done in Nirva v 4.7.006

#2 - 02/14/2013 12:06 PM - Pierre Marc

- Target version set to 4.7.006
